OpenVDB: MapRegistry Class Reference

OpenVDB 3.2.0

Public Types | Static Public Member Functions | List of all members
MapRegistry Class Reference

Threadsafe singleton object for accessing the map type-name dictionary. Associates a map type-name with a factory function. More...

`#include <Maps.h>`

## Public Types
typedef std::map< Name, MapBase::MapFactory > | MapDictionary

## Static Public Member Functions
static MapRegistry * | instance ()
static MapBase::Ptr | createMap (const Name &)
| Create a new map of the given (registered) type name. More...
static bool | isRegistered (const Name &)
| Return `true` if the given map type name is registered. More...
static void | registerMap (const Name &, MapBase::MapFactory)
| Register a map type along with a factory function. More...
static void | unregisterMap (const Name &)
| Remove a map type from the registry. More...
static void | clear ()
| Clear the map type registry. More...

## Detailed Description

Threadsafe singleton object for accessing the map type-name dictionary. Associates a map type-name with a factory function.

## Member Typedef Documentation

## § MapDictionary

typedef std::map<Name, MapBase::MapFactory> MapDictionary

## Member Function Documentation

## § clear()

static void clear | ( |  | ) |
| static

Clear the map type registry.

## § createMap()

static MapBase::Ptr createMap | ( | const Name & |  | ) |
| static

Create a new map of the given (registered) type name.

## § instance()

static MapRegistry* instance | ( |  | ) |
| static

## § isRegistered()

static bool isRegistered | ( | const Name & |  | ) |
| static

Return `true` if the given map type name is registered.

## § registerMap()

static void registerMap | ( | const Name & | ,
|  | MapBase::MapFactory |
| ) |  |
| static

Register a map type along with a factory function.

## § unregisterMap()

static void unregisterMap | ( | const Name & |  | ) |
| static

Remove a map type from the registry.

The documentation for this class was generated from the following file:

- Maps.h